Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.inject.client.binder
Interface GinScopedBindingBuilder

All Known Subinterfaces:
  GinAnnotatedBindingBuilder<T>, GinLinkedBindingBuilder<T>

    public interface GinScopedBindingBuilder

See the EDSL examples at `GinBinder`.

Method Summary
`void` | `asEagerSingleton()` Instructs the `Ginjector` to eagerly initialize this singleton-scoped binding upon creation.
`void` | `in(java.lang.Class<? extends java.lang.annotation.Annotation> scopeAnnotation)` See the EDSL examples at `GinBinder`.

Method Detail

### in

    void in(java.lang.Class<? extends java.lang.annotation.Annotation> scopeAnnotation)

  See the EDSL examples at `GinBinder`.

### asEagerSingleton

    void asEagerSingleton()

  Instructs the `Ginjector` to eagerly initialize this singleton-scoped binding upon creation. Useful for application initialization logic. See the EDSL examples at `GinBinder`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD